> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Refill the billing limit



## OpenAPI

````yaml post /api/v1/customer-billing/refill
openapi: 3.0.0
info:
  title: Oneloop API
  version: 1.0.0
  description: API Key Management
servers:
  - url: https://prod.oneloop.ai
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/customer-billing/refill:
    post:
      summary: Refill the billing limit
      operationId: refillBillingLimit
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RefillCustomerBillingMeterRequest'
      responses:
        '200':
          description: The updated billing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefillCustomerBillingMeterResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    RefillCustomerBillingMeterRequest:
      type: object
      properties:
        workspaceId:
          type: string
        externalMeterId:
          type: string
        refill:
          type: integer
          minimum: 0
          exclusiveMinimum: true
      required:
        - workspaceId
        - externalMeterId
    RefillCustomerBillingMeterResponse:
      type: object
      properties:
        billing:
          $ref: '#/components/schemas/CustomerBillingMeter'
      required:
        - billing
    ErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
              minimum: 0
              exclusiveMinimum: true
            message:
              type: string
          required:
            - code
            - message
      required:
        - error
    CustomerBillingMeter:
      type: object
      nullable: true
      properties:
        id:
          type: string
        totalCredits:
          type: string
          pattern: ^d+$
        usedCredits:
          type: string
          pattern: ^d+$
        allowOverages:
          type: boolean
        spendCap:
          type: string
          nullable: true
          pattern: ^d+$
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - totalCredits
        - usedCredits
        - allowOverages
        - spendCap
        - createdAt
        - updatedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````